Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface WseePortRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface WseePortRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

Describes the state of a particular Web Service port.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`WseeHandlerRuntimeMBean[]` | `getHandlers()` Specifies the list of SOAP message handlers that are associated with this Web Service.
`WseeOperationRuntimeMBean[]` | `getOperations()` Specifies the list of public operations exposed by this Web Service.
`String` | `getPortName()` Specifies the name of this port.
`String` | `getTransportProtocolType()` Specifies the transport protocol used to invoke this Web Service, such as HTTP, HTTPS, or JMS.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getHandlers

    public WseeHandlerRuntimeMBean[] getHandlers()

  Specifies the list of SOAP message handlers that are associated with this Web Service.

### getOperations

    public WseeOperationRuntimeMBean[] getOperations()

  Specifies the list of public operations exposed by this Web Service.

### getPortName

    public String getPortName()

  Specifies the name of this port.

  This attribute corresponds to the "name" attribute of the "port" element in the WSDL that describes the Web Service. Programmers specify the name of the port using the portName attribute of the

### getTransportProtocolType

    public String getTransportProtocolType()

  Specifies the transport protocol used to invoke this Web Service, such as HTTP, HTTPS, or JMS.

  This attribute determines the transport that is published in the endpoint address section of the WSDL of the Web Service. Programmers specify the transport by the type of @WLXXXTransport JWS annotation they specify, where XXX refers to the type of transport (HTTP, HTTPS, or JMS).

  Programmers can also use the WLXXXTransport child element of the jwsc Ant task to specify this attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD